//////////////////////////////////////////////////
//Title    : pub_debug.h
//Auhtor   : Liu Wei
//Desc     : public debug api header
//Created  : 2007-05-01
//Revision :
//
//Revision :
//
//////////////////////////////////////////////////

#ifndef _PUB_DEBUG_H_
#define _PUB_DEBUG_H_

#include "stdio.h"
#include "assert.h"
#include "string.h"
#include "stdlib.h"
#include <execinfo.h>
#include <signal.h>


extern void WxcDump(int nSigno);

extern void WxcBackTrace();

#ifdef DEBUG 
#define WxcAssert(Expression,pStr)        \
        {                                 \
          int nVal = (Expression);        \
          if(!nVal)                       \
          {                               \
        	WxcBackTrace();               \
          }                               \
		  assert( nVal && pStr );         \
        }
           
#else 
#define WxcAssert(uVal,pStr)
#endif                      

#endif

